# frozen_string_literal: true

require "active_support/encrypted_configuration"

module Dhall
	module Rails
		class EncryptedConfiguration < ActiveSupport::EncryptedConfiguration
			private

			def deserialize(config)
				if content_path.to_s =~ /\.dhall\.enc\Z/
					config.blank? ? {} : Dhall::Rails.load_decoded(config)
				else
					super
				end
			end
		end
	end
end
